import { Dialog } from './dialog';
import { IDocumentManager } from '@jupyterlab/docmanager';
import { BreadCrumbs, DirListing, FilterFileBrowserModel } from '@jupyterlab/filebrowser';
import { Widget } from '@lumino/widgets';
export interface IBrowseFileDialogOptions {
    filter?: (model: any) => boolean;
    multiselect?: boolean;
    includeDir?: boolean;
    acceptFileOnDblClick?: boolean;
    rootPath?: string;
    startPath?: string;
}
export interface IBrowseFileBreadCrumbsOptions extends BreadCrumbs.IOptions {
    rootPath?: string;
}
/**
 * Breadcrumbs widget for browse file dialog body.
 */
export declare class BrowseFileDialogBreadcrumbs extends BreadCrumbs {
    model: any;
    rootPath: string;
    constructor(options: IBrowseFileBreadCrumbsOptions);
    protected onUpdateRequest(msg: any): void;
}
/**
 * Browse file widget for dialog body
 */
export declare class BrowseFileDialog extends Widget implements Dialog.IBodyWidget<IBrowseFileDialogOptions> {
    directoryListing: DirListing;
    breadCrumbs: BreadCrumbs;
    dirListingHandleEvent: (event: Event) => void;
    multiselect: boolean;
    includeDir: boolean;
    acceptFileOnDblClick: boolean;
    model: FilterFileBrowserModel;
    constructor(props: any);
    static init(options: any): Promise<BrowseFileDialog>;
    getValue(): any;
    handleEvent(event: Event): void;
}
export declare const showBrowseFileDialog: (manager: IDocumentManager, options: IBrowseFileDialogOptions) => Promise<Dialog.IResult<any>>;
export default showBrowseFileDialog;
