import { ToolbarButton } from '@jupyterlab/apputils';
import { NotebookActions } from '@jupyterlab/notebook';
import { DisposableDelegate } from '@lumino/disposable';
/**
 * import { IFileBrowserFactory } from '@jupyterlab/filebrowser';
 */
import { LabIcon } from '@jupyterlab/ui-components';
/**
 * import * as crypto from 'crypto';
 * import * as fs from 'fs';
 * import * as path from 'path';
 */
/**
 * The plugin registration information.
 */
const plugin = {
    activate,
    id: 'my-extension-name:buttonPlugin',
    autoStart: true
};
import schedulerSvgstr from '../style/icon/scheduler.svg';
const schedulerIcon = new LabIcon({
    name: 'ui-components:scheduler',
    svgstr: schedulerSvgstr
});
/**
 * A notebook widget extension that adds a button to the toolbar.
 */
export class ButtonExtension {
    /**
     * Create a new extension object.
     */
    createNew(panel, context) {
        console.log('svg icon start');
        let callback = () => {
            NotebookActions.runAll(panel.content, context.sessionContext);
            console.log('svg icon');
            console.log(context.model.metadata.toJSON());
            console.log(context.localPath);
            // let md5Value= crypto.createHash('md5').update(fs.readFileSync(context.localPath).toString('utf8'), 'utf8').digest('hex');
            // console.log(md5Value);
        };
        let button = new ToolbarButton({
            // className: 'jp-SchedulerIcon',
            iconClass: 'jp-icon4',
            icon: schedulerIcon,
            onClick: callback,
            tooltip: 'Run All schedule by TTSS'
        });
        panel.toolbar.insertItem(0, 'runAll', button);
        return new DisposableDelegate(() => {
            button.dispose();
        });
    }
}
/**
 * Activate the extension.
 */
function activate(app) {
    app.docRegistry.addWidgetExtension('Notebook', new ButtonExtension());
}
/**
 * Export the plugin as default.
 */
export default plugin;
